### Method

# Pango Layoutset_width

#### Declaration [src]

    void
    pango_layout_set_width (
      PangoLayout* layout,
      int width
    )

#### Description [src]

Sets the width to which the lines of the `PangoLayout` should wrap or ellipsized.

The default value is -1: no width set.

#### Parameters

`width`

  Type: `int`

  The desired width in Pango units, or -1 to indicate that no wrapping or ellipsization should be performed.